# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::ImagePBO Class Reference

Represents a vl::Image with an associated Pixel Buffer Object. More...

`#include <ImagePBO.hpp>`

Inheritance diagram for vl::ImagePBO:

List of all members.

## Public Member Functions

| ImagePBO ()
| Constructor.
| ImagePBO (const String &path)
| Constructors: loads an image from the specified path.
| ImagePBO (int x, int y, int z, int bytealign, EImageFormat format, EImageType type)
| Constructor: initializes an image with the specified parameters.
const BufferObject * | pixelBufferObject () const
| The associated OpenGL Buffer Object.
BufferObject * | pixelBufferObject ()
| The associated OpenGL Buffer Object.
void | setPixelBufferObject (BufferObject *pbo)
| The associated OpenGL Buffer Object.

## Protected Attributes

ref< BufferObject > | mPBO

## Detailed Description

Represents a vl::Image with an associated Pixel Buffer Object.

Definition at line 44 of file ImagePBO.hpp.

## Constructor & Destructor Documentation

vl::ImagePBO::ImagePBO | ( | ) | `[inline]`

Constructor.

Definition at line 50 of file ImagePBO.hpp.

References mPBO, and VL_DEBUG_SET_OBJECT_NAME.

vl::ImagePBO::ImagePBO | ( | const String & | path ) | `[inline]`

Constructors: loads an image from the specified path.

Definition at line 57 of file ImagePBO.hpp.

References mPBO, and VL_DEBUG_SET_OBJECT_NAME.

vl::ImagePBO::ImagePBO | ( | int | x,
|  | int | y,
|  | int | z,
|  | int | bytealign,
|  | EImageFormat | format,
|  | EImageType | type
| ) |  | `[inline]`

Constructor: initializes an image with the specified parameters.

Definition at line 64 of file ImagePBO.hpp.

References mPBO, and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

const BufferObject* vl::ImagePBO::pixelBufferObject | ( | ) | const`[inline]`

The associated OpenGL Buffer Object.

Definition at line 71 of file ImagePBO.hpp.

References vl::ref< T >::get(), and mPBO.

Referenced by vl::DrawPixels::render_Implementation().

BufferObject* vl::ImagePBO::pixelBufferObject | ( | ) | `[inline]`

The associated OpenGL Buffer Object.

Definition at line 74 of file ImagePBO.hpp.

References vl::ref< T >::get(), and mPBO.

void vl::ImagePBO::setPixelBufferObject | ( | BufferObject * | pbo ) | `[inline]`

The associated OpenGL Buffer Object.

Definition at line 77 of file ImagePBO.hpp.

References mPBO.

## Member Data Documentation

ref<BufferObject> vl::ImagePBO::mPBO`[protected]`

Definition at line 80 of file ImagePBO.hpp.

Referenced by ImagePBO(), pixelBufferObject(), and setPixelBufferObject().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/ImagePBO.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:39.
Permission is granted to use this page to write and publish articles regarding Visualization Library.